"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.atomicBlockRenderer = atomicBlockRenderer;

var _react = _interopRequireDefault(require("react"));

var _embeddedCode = require("./embedded-code");

var _image = require("./image");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// eslint-disable-line
const AtomicBlock = props => {
  const entity = props.contentState.getEntity(props.block.getEntityAt(0));
  const entityType = entity.getType();

  switch (entityType) {
    case 'image':
      {
        return (0, _image.ImageBlock)(entity);
      }

    case 'EMBEDDEDCODE':
      {
        return (0, _embeddedCode.EmbeddedCodeBlock)(entity);
      }
  }

  return null;
};

function atomicBlockRenderer(block) {
  if (block.getType() === 'atomic') {
    return {
      component: AtomicBlock,
      editable: false
    };
  }

  return null;
}