"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.colorTextDecorator = void 0;

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// eslint-disable-line
const ColorSpan = _styledComponents.default.span`
  color: ${props => props.color};
`;

function findColorTextEntities(contentBlock, callback, contentState) {
  contentBlock.findEntityRanges(character => {
    const entityKey = character.getEntity();
    return entityKey !== null && contentState.getEntity(entityKey).getType() === 'COLORTEXT';
  }, callback);
}

const colorTextDecorator = {
  strategy: findColorTextEntities,
  component: ColorText
};
exports.colorTextDecorator = colorTextDecorator;

function ColorText(props) {
  const {
    color
  } = props.contentState.getEntity(props.entityKey).getData();
  return /*#__PURE__*/_react.default.createElement(ColorSpan, {
    color: color
  }, props.children);
}