"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.linkDecorator = void 0;

var _react = _interopRequireDefault(require("react"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// eslint-disable-line
function findLinkEntities(contentBlock, callback, contentState) {
  contentBlock.findEntityRanges(character => {
    const entityKey = character.getEntity();
    return entityKey !== null && contentState.getEntity(entityKey).getType() === 'LINK';
  }, callback);
}

function Link(props) {
  const {
    url
  } = props.contentState.getEntity(props.entityKey).getData();
  return /*#__PURE__*/_react.default.createElement("a", {
    href: url,
    style: {
      borderBottom: '2px solid #ebf02c',
      textDecoration: 'none',
      color: 'rgba(0,9,40,0.66)'
    }
  }, props.children);
}

const linkDecorator = {
  strategy: findLinkEntities,
  component: Link
};
exports.linkDecorator = linkDecorator;