"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = Button;

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// eslint-disable-line
const ButtonWrapper = _styledComponents.default.button`
  width: 100%;
  max-width: 320px;
  padding: 12px;
  font-family: 'Noto Sans CJK TC', sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 18px;
  line-height: 150%;
  color: #ffffff;
  border-radius: 6px;
  border: 0;
  ${props => props.disabled ? `
  background: #E0E0E0;` : `
      background: #04295e;
      &:hover {
        cursor: pointer;
        background: #000928;
      }
      `}
`;

function Button({
  title,
  onClick,
  disabled = false
}) {
  function handleOnClick(e) {
    if (!disabled) onClick(e);
  }

  return /*#__PURE__*/_react.default.createElement(ButtonWrapper, {
    onClick: handleOnClick,
    disabled: disabled
  }, title);
}