"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = Radio;

var _react = _interopRequireWildcard(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

// eslint-disable-line

/**
 *  @param {Object} props
 *  @param {import('../typedef').Option[]} props.options
 *  @param {string} props.title
 *  @param {string} props.checkedValue
 *  @param {Function} props.onChange
 *  @return React.ReactElement
 */
const Label = _styledComponents.default.label`
  display: flex;
  align-items: center;
  font-family: 'Noto Sans CJK TC', sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 18px;
  line-height: 200%;
  color: #000928;
  margin-top: 4px;
  &:hover {
    cursor: pointer;
    .radiomark {
      border-color: #000928;
    }
  }
`;
const RadioInput = _styledComponents.default.input`
  display: none;
`;
const Radiomark = _styledComponents.default.div`
  width: 18px;
  height: 18px;
  border: 2px solid #e0e0e0;
  border-radius: 18px;
  margin-right: 8px;
  position: relative;

  ${props => props.isChecked && `
    border-color: #04295E;
    &::before {
      content: '';
      position: absolute;
      display: block;
      top: 50%;
      left: 50%;
      transform: translate(-50%, -50%);
      width: 12px;
      height: 12px;
      border-radius: 50%;
      background-color: #04295e;
    }
    `}
`;
const RadioTitle = _styledComponents.default.h3`
  font-family: 'Noto Sans CJK TC', sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 18px;
  line-height: 200%;
  color: #000928;
  margin: 0;
`;
const Wrapper = _styledComponents.default.div`
  margin-bottom: 24px;
`;

function Radio(props) {
  var _props$options;

  const optionsJsx = (_props$options = props.options) === null || _props$options === void 0 ? void 0 : _props$options.map((o, index) => /*#__PURE__*/_react.default.createElement(_react.default.Fragment, {
    key: index
  }, /*#__PURE__*/_react.default.createElement(Label, {
    htmlFor: `option-${o.id}`
  }, /*#__PURE__*/_react.default.createElement(RadioInput, {
    type: "radio",
    id: `option-${o.id}`,
    name: props.title,
    value: o.value,
    checked: props.checkedValue === o.value,
    onChange: e => props.onChange(e.target.value)
  }), /*#__PURE__*/_react.default.createElement(Radiomark, {
    className: "radiomark",
    isChecked: props.checkedValue === o.value
  }), o.name)));
  return /*#__PURE__*/_react.default.createElement(Wrapper, null, /*#__PURE__*/_react.default.createElement(RadioTitle, null, props.title), optionsJsx);
}