"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = Landing;

var _react = _interopRequireDefault(require("react"));

var _styledComponents = _interopRequireDefault(require("styled-components"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// eslint-disable-line
const Wrapper = _styledComponents.default.div`
  margin: 20px;
  max-width: 600px;
  display: flex;
  flex-direction: column;
  align-items: center;
  @media (min-width: 768px) {
    margin: 40px auto 24px auto;
  }
`;
const LandingTitle = _styledComponents.default.h1`
  margin-top: 12px;
  margin-bottom: 0;
  font-family: 'Noto Serif TC', sans-serif;
  font-style: normal;
  font-weight: 700;
  font-size: 36px;
  line-height: 150%;
  color: #000928;
  @media (min-width: 768px) {
    font-size: 48px;
  }
`;
const LandingUpdateTime = _styledComponents.default.p`
  margin-top: 8px;
  margin-bottom: 0;
  font-family: 'Noto Sans CJK TC', sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 14px;
  line-height: 150%;
  color: rgba(0, 9, 40, 0.5);
`;
const LandingDesc = _styledComponents.default.p`
  margin-top: 24px;
  margin-bottom: 0;
  font-family: 'Noto Sans CJK TC', sans-serif;
  font-style: normal;
  font-weight: 400;
  font-size: 18px;
  line-height: 200%;
  color: #000928;
`;
const HeroImage = _styledComponents.default.img`
  max-width: 100%;
  display: none;
  @media (min-width: 768px) {
    display: block;
  }
`;
const MobileHeroImage = _styledComponents.default.img`
  max-width: 100%;
  @media (min-width: 768px) {
    display: none;
  }
`;
/**
 *  @param {Object} opts
 *  @param {import('./typedef').Form} opts.form
 *  @return React.ReactElement
 */

function Landing({
  form
}) {
  var _form$heroImage, _form$heroImage$resiz, _form$mobileImage, _form$mobileImage$res, _form$content, _form$content$blocks, _form$content$blocks$;

  function formatTime(time) {
    const d = new Date(time);
    return `${d.getFullYear()}.${('0' + (d.getMonth() + 1)).slice(-2)}.${('0' + d.getDate()).slice(-2)} ${('0' + d.getHours()).slice(-2)}:${('0' + d.getMinutes()).slice(-2)}`;
  }

  return /*#__PURE__*/_react.default.createElement(Wrapper, null, /*#__PURE__*/_react.default.createElement(HeroImage, {
    src: (_form$heroImage = form.heroImage) === null || _form$heroImage === void 0 ? void 0 : (_form$heroImage$resiz = _form$heroImage.resized) === null || _form$heroImage$resiz === void 0 ? void 0 : _form$heroImage$resiz.original,
    alt: form.name
  }), /*#__PURE__*/_react.default.createElement(MobileHeroImage, {
    src: (_form$mobileImage = form.mobileImage) === null || _form$mobileImage === void 0 ? void 0 : (_form$mobileImage$res = _form$mobileImage.resized) === null || _form$mobileImage$res === void 0 ? void 0 : _form$mobileImage$res.original,
    alt: form.name
  }), /*#__PURE__*/_react.default.createElement(LandingTitle, null, form.name), /*#__PURE__*/_react.default.createElement(LandingUpdateTime, null, form.updateTimeDesc || formatTime(form.updateTime)), /*#__PURE__*/_react.default.createElement(LandingDesc, null, (_form$content = form.content) === null || _form$content === void 0 ? void 0 : (_form$content$blocks = _form$content.blocks) === null || _form$content$blocks === void 0 ? void 0 : (_form$content$blocks$ = _form$content$blocks[0]) === null || _form$content$blocks$ === void 0 ? void 0 : _form$content$blocks$.text));
}