"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = Question;

var _radio = _interopRequireDefault(require("./form/radio"));

var _checkbox = _interopRequireDefault(require("./form/checkbox"));

var _dropdown = _interopRequireDefault(require("./form/dropdown"));

var _react = _interopRequireWildcard(require("react"));

var _buttons = _interopRequireDefault(require("./form/buttons"));

function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }

function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 *  @typedef {Object} QuestionProps
 *  @property {Function} onAnswer
 */

/**
 *  @param {import('./typedef').Question & QuestionProps} props
 */
function Question(props) {
  const [answer, setAnswer] = (0, _react.useState)([]);
  let optionsJsx = null;

  switch (props.type) {
    // TODO: check what's difference between multiple and checkbox with HC.
    case 'multiple':
    case 'checkbox':
      {
        // TODO: add Checkbox component
        optionsJsx = /*#__PURE__*/_react.default.createElement(_checkbox.default, {
          title: props.name,
          options: props.options,
          checkedValue: answer,
          onChange: value => {
            setAnswer(value);
          }
        });
        break;
      }

    case 'text':
      {
        // TODO: add TextArea Component
        break;
      }
    // TODO: discuss with HC
    // since we have to decide to render Radio component or Dropdown component here

    case 'single':
      {
        if (props.options.length >= 4) {
          optionsJsx = /*#__PURE__*/_react.default.createElement(_dropdown.default, {
            title: props.name,
            options: props.options,
            checkedValue: answer === null || answer === void 0 ? void 0 : answer[0],
            onChange: value => {
              setAnswer([value]);
            }
          });
        } else {
          optionsJsx = /*#__PURE__*/_react.default.createElement(_radio.default, {
            title: props.name,
            options: props.options,
            checkedValue: answer === null || answer === void 0 ? void 0 : answer[0],
            onChange: value => {
              setAnswer([value]);
            }
          });
        }

        break;
      }

    default:
      {
        optionsJsx = /*#__PURE__*/_react.default.createElement(_radio.default, {
          title: props.name,
          options: props.options,
          checkedValue: answer === null || answer === void 0 ? void 0 : answer[0],
          onChange: value => {
            setAnswer([value]);
          }
        });
      }
  }

  return /*#__PURE__*/_react.default.createElement(_react.default.Fragment, null, optionsJsx, /*#__PURE__*/_react.default.createElement(_buttons.default, {
    title: "\u4E0B\u4E00\u6B65",
    disabled: answer.length === 0,
    onClick: () => {
      if (answer.length === 0) {
        // User did not answer the question.
        // Do nothing.
        return;
      }

      props.onAnswer(answer);
    }
  }));
}